#include <cstdio>
#include <cstring>

const char   
  lengths[]={0,1,2,3,2,1,2,3,4,2},
  delimiters[]  =" \t+=?",
//roman_digits[]="@IVXLCDM";  //
  roman_digits[]="@1234567";  // 

const short n[]={0,1,5,10,50,100,500,1000};

char s[100], buf[16], not_reprezentable[]="NOT_REPRESENTABLE", *a, *b;

char *decimal_to_roman(int number);
int  roman_to_decimal(char *roman);

int main() {
  while (gets(s)) {
    a = strtok(s,delimiters);
  	b = strtok(NULL,delimiters);
  	printf("%s+%s=%s\n", a, b,decimal_to_roman(roman_to_decimal(a)+roman_to_decimal(b)) );
  }
  return 0;	
}

int roman_number_length(int number){
  int i=0;
  for (;number;i+=lengths[number%10],number/=10);
  return i;
} 

char *decimal_to_roman(int number) {
  if (number > 3999) return not_reprezentable;
  int j = roman_number_length(number);
  char *p=buf+j;
  *p = '\0';	 
  for (int i=1; number; number/=10, i+=2) {
	j = number%10;
	switch (j) {
	  case 5: *--p=roman_digits[i+1];
	  case 0: break;
	  case 3: 
	  case 8: *--p=roman_digits[i]; 
	  case 2: 
	  case 7: *--p=roman_digits[i];
	  default:
	    if (j%5==4) *--p=roman_digits[j==4?i+1:i+2];
		*--p=roman_digits[i];
		if ((j>5)&&(j<9)) *--p=roman_digits[i+1];
	}
  }
  return p;
}

int  roman_to_decimal(char *roman) {
  int prev=0, decimal=0, i;
  for ( ; *roman; roman++) {
  	i=strchr(roman_digits,  *roman)-roman_digits;
  	if (n[i]>prev) decimal-=(prev<<1);
  	decimal+=(prev=n[i]);
  }
  return decimal;
}
